"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Core
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiagnosticsLogEntry = void 0;
/** @alpha */
var DiagnosticsLogEntry;
(function (DiagnosticsLogEntry) {
    function isMessage(entry) {
        return !!entry.message;
    }
    DiagnosticsLogEntry.isMessage = isMessage;
    function isScope(entry) {
        return !!entry.scope;
    }
    DiagnosticsLogEntry.isScope = isScope;
})(DiagnosticsLogEntry = exports.DiagnosticsLogEntry || (exports.DiagnosticsLogEntry = {}));
//# sourceMappingURL=Diagnostics.js.map