"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Content
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PropertyValueFormat = void 0;
/**
 * Format of the property value.
 * @public
 */
var PropertyValueFormat;
(function (PropertyValueFormat) {
    /** Primitive value */
    PropertyValueFormat["Primitive"] = "Primitive";
    /** Array value */
    PropertyValueFormat["Array"] = "Array";
    /** Struct value */
    PropertyValueFormat["Struct"] = "Struct";
})(PropertyValueFormat = exports.PropertyValueFormat || (exports.PropertyValueFormat = {}));
//# sourceMappingURL=TypeDescription.js.map