/** @packageDocumentation
 * @module PresentationRules
 */
/**
 * Specification for custom content renderer.
 * @public
 */
export interface CustomRendererSpecification {
    /** Name of the custom renderer. */
    rendererName: string;
}
/**
 * Specification for custom property renderer.
 * @public
 * @deprecated Superseded by [[CustomRendererSpecification]].
 */
export declare type PropertyRendererSpecification = CustomRendererSpecification;
//# sourceMappingURL=CustomRendererSpecification.d.ts.map