/** @packageDocumentation
 * @module PresentationRules
 */
/**
 * Sub-specification to hide / display specified ECInstance properties.
 * @public
 * @deprecated Use [[PropertySpecification]] instead. Will be removed in iModel.js 3.0
 */
export interface DEPRECATED_PropertiesDisplaySpecification {
    /** List of ECProperty names which should be hidden or shown */
    propertyNames: string[];
    /**
     * Controls priority of the specification. Defaults to `1000`.
     *
     * @type integer
     */
    priority?: number;
    /** Should property be displayed. Defaults to `true`. */
    isDisplayed?: boolean;
}
//# sourceMappingURL=PropertiesDisplaySpecification.d.ts.map