"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module PresentationRules
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PropertyEditorParameterTypes = void 0;
/**
 * Used for serializing array of [[PropertyEditorParameters]] to JSON
 * @public
 */
var PropertyEditorParameterTypes;
(function (PropertyEditorParameterTypes) {
    PropertyEditorParameterTypes["Json"] = "Json";
    PropertyEditorParameterTypes["Multiline"] = "Multiline";
    PropertyEditorParameterTypes["Range"] = "Range";
    PropertyEditorParameterTypes["Slider"] = "Slider";
})(PropertyEditorParameterTypes = exports.PropertyEditorParameterTypes || (exports.PropertyEditorParameterTypes = {}));
//# sourceMappingURL=PropertyEditorsSpecification.js.map