"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module PresentationRules
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.InstanceLabelOverrideValueSpecificationType = void 0;
/**
 * Types of possible [[InstanceLabelOverride]] label value.
 * @public
 */
var InstanceLabelOverrideValueSpecificationType;
(function (InstanceLabelOverrideValueSpecificationType) {
    InstanceLabelOverrideValueSpecificationType["Composite"] = "Composite";
    InstanceLabelOverrideValueSpecificationType["Property"] = "Property";
    InstanceLabelOverrideValueSpecificationType["ClassName"] = "ClassName";
    InstanceLabelOverrideValueSpecificationType["ClassLabel"] = "ClassLabel";
    InstanceLabelOverrideValueSpecificationType["BriefcaseId"] = "BriefcaseId";
    InstanceLabelOverrideValueSpecificationType["LocalId"] = "LocalId";
    InstanceLabelOverrideValueSpecificationType["String"] = "String";
    InstanceLabelOverrideValueSpecificationType["RelatedInstanceLabel"] = "RelatedInstanceLabel";
})(InstanceLabelOverrideValueSpecificationType = exports.InstanceLabelOverrideValueSpecificationType || (exports.InstanceLabelOverrideValueSpecificationType = {}));
//# sourceMappingURL=InstanceLabelOverride.js.map