"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module PresentationRules
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentSpecificationTypes = void 0;
/**
 * Used for serializing array of [[ContentSpecification]]
 * @public
 */
var ContentSpecificationTypes;
(function (ContentSpecificationTypes) {
    ContentSpecificationTypes["ContentInstancesOfSpecificClasses"] = "ContentInstancesOfSpecificClasses";
    ContentSpecificationTypes["ContentRelatedInstances"] = "ContentRelatedInstances";
    ContentSpecificationTypes["SelectedNodeInstances"] = "SelectedNodeInstances";
})(ContentSpecificationTypes = exports.ContentSpecificationTypes || (exports.ContentSpecificationTypes = {}));
//# sourceMappingURL=ContentSpecification.js.map