"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module PresentationRules
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChildNodeSpecificationTypes = void 0;
/**
 * Used for serializing array of [[ChildNodeSpecification]]
 * @public
 */
var ChildNodeSpecificationTypes;
(function (ChildNodeSpecificationTypes) {
    // hierarchy specifications
    ChildNodeSpecificationTypes["DEPRECATED_AllInstanceNodes"] = "AllInstanceNodes";
    ChildNodeSpecificationTypes["DEPRECATED_AllRelatedInstanceNodes"] = "AllRelatedInstanceNodes";
    ChildNodeSpecificationTypes["RelatedInstanceNodes"] = "RelatedInstanceNodes";
    ChildNodeSpecificationTypes["InstanceNodesOfSpecificClasses"] = "InstanceNodesOfSpecificClasses";
    ChildNodeSpecificationTypes["CustomQueryInstanceNodes"] = "CustomQueryInstanceNodes";
    ChildNodeSpecificationTypes["CustomNode"] = "CustomNode";
})(ChildNodeSpecificationTypes = exports.ChildNodeSpecificationTypes || (exports.ChildNodeSpecificationTypes = {}));
//# sourceMappingURL=ChildNodeSpecification.js.map